Subject: [netmod] yang-instance-file-format-10 uploaded [was: RE: WG Last Call: draft-ietf-netmod-yang-instance-file-format-06 to -07]

From: Balázs Lengyel <[email-masked]>
Date: Fri, 20 Mar 2020 16:45:23 +0000

Hello Kent,
Thanks for the comments. Updated all in -10 version. See below as BALAZS2.
(XML2RFC at this point does not yet accept  netmod-yang-module-versioning. That needs to be changed later.)
Regards Balazs

-----Original Message-----
From: Kent Watsen <[email-masked]> 
Sent: 2020. március 18., szerda 3:58
To: Balázs Lengyel <[email-masked]>
Cc: [email-masked]
Subject: Re: [netmod] WG Last Call: draft-ietf-netmod-yang-instance-file-format-06 to -07

> Have the examples in the draft validated against the YANG module?
> 
> BALAZS: Only manually. How do you validate samples conforming to a yang data structure ?

Hmmm, seeing that the examples are still not valid, here goes:

	Until such time as tools support validating structure-data-ext, 
	one can rewrite the YANG module via s/sx:structure/container/ 
	and perform the validation against the resulting YANG module.
BALAZS2: Validated with yanglint

> Please review the Normative/Informative status of the references.
> 
> Not looking carefully, but RFCs 2119 and 8174 should be Normative,
> 
> and I think RFCs 3688 and 6020 should be Informative, right?
> 
> BALAZS: OK, changed in rev 08

Did you check all the other references too?  (I’m trying to save having to do another roundtrip when I do the shepherd writeup...)
BALAZS2: I believe yes. Do you see any other problem ?

> All of the “import” statements in the YANG module are missing a
> “reference” statement.
> BALAZS:
> Added:
> rfc6991 for types added.
> Already present:
> rfc8342 for datastores
> ietf-netmod-yang-data-ext for ietf-yang-structure-ext

Again, all the “import” statements in the YANG module are missing a “reference” statement.
BALAZS2: OK.  Sorry I misunderstood the comment earlier it. Corrected. 
> 
> Please add a statement to the Introduction regarding why the module

> Isn’t compliant with NMDA.
> BALAZS: Sorry, don’t understand. Why is this not compliant with NMDA ?
> IMHO it is NMDA compliant, or rather it  has nothing to do with NDMA.

Either way but, per https://tools.ietf.org/html/rfc8407#section-3.5, the statement should be in the Introduction section.
BALAZS2: Done

> The tree diagram does not adhere to the syntax described in 
> draft-ietf-netmod-yang-data-ext.  
> BALAZS: OK I try, but what actually is the problem? Any help would be really appreciated.

I was looking at the “+—rw”, which can’t be right because yang-data is not “configuration”...

> Sadly
> pyang -p ../ietfYams ietf-yang-instance-data\@2020-03-06.yang -f tree --tree-print-yang-data --tree-print-yang-data
> doesn’t print out anything, so I am handcrafting.

`pyang`  supports the old/RFC8040 “rc:yang-data” statement; it hasn’t been updated to support the new "sx:structure” statement.
BALAZS2: Done, after adding a top level container (which is not needed in structure) and some copy-paste+editing.

> I just updated pyang from git. Any idea why this doesn’t work for me?
> It would be good if YangValidator would print out the tree. At some point it did. Not now. :-(

First, use the s/sx:structure/container/ trick mentioned above.

Then s/+--rw/+—/.

Then review https://tools.ietf.org/html/draft-ietf-netmod-yang-data-ext-05#section-3 and tweak accordingly until all is good.

BALAZS2: Done, I hope

NEW: looking at the new "format-version”, please add a pattern statement to constrain the string values appropriately.  Hint, it’s half a "date-and-time” type...

BALAZS2: Done